Subject: RE: [External] : bug#46926: Remove the quotes from highlighted/linked symbols when displaying docs

From: Drew Adams <[email-masked]>
Date: Thu, 4 Mar 2021 21:40:44 +0000

> > I don't think I agree, but maybe someone else will have an opinion?
> 
> I don't have an opinion here, really, but I think
> the example posted without the quotes looked nicer.

Nicer than what?

Did you compare with an equivalent screenshot with
the quotes present?  Don't be misled by the fact
that the font is different from (arguably "nicer"
than) the default Emacs font.

Compare with & without quotes using the same config,
same fonts.  Do you really think absence of quotes
looks nicer?  How much so?  With link highlighting
the quotes are nearly imperceptible, IMO.  (With no
highlighting they become even more important.)

And of course we don't quote (`...') non-sexps and
non-keys.  So the text of a link without quotes can
be ambiguous as to whether it provides sexp/key
info or is just some text with a link.

See attached, for apples-to-apples comparison.
Same font, same size, default fonts.